Subject: times a burst of hostile shra

From: Haberle Mcnitt <[email-masked]>
Date: Sat, 15 Aug 2009 05:17:49 +0200

trench and walked over the open for about two hundred yards. My guide
and I jumped into New Woman Street just before it touched the support
line, and we were soon joined by several other men of the platoon.